Package org.eclipse.net4j.util.security

# Class FileUserManagerFactory

java.lang.Object
org.eclipse.net4j.util.factory.Factory
org.eclipse.net4j.util.security.UserManagerFactory
org.eclipse.net4j.util.security.FileUserManagerFactory

All Implemented Interfaces:
  `IFactory`, `IFactoryKeyAware`

public class FileUserManagerFactory extends UserManagerFactory
TODO Consider file attributes when creating initially empty file

Author:
  Eike Stepper

## Field Summary

Fields
Modifier and Type
Field
Description
`static final String`
`TYPE`

### Fields inherited from class org.eclipse.net4j.util.security.UserManagerFactory

`PRODUCT_GROUP`

### Fields inherited from class org.eclipse.net4j.util.factory.Factory

`NO_DESCRIPTION`

## Constructor Summary

Constructors
Constructor
Description
`FileUserManagerFactory()`

## Method Summary

Modifier and Type
Method
Description
`FileUserManager`
`create(String description)`

### Methods inherited from class org.eclipse.net4j.util.factory.Factory

`getDescriptionFor, getFactoryKey, getKey, getProductGroup, getType, productCreationException, productCreationException, setFactoryKey, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### TYPE

public static final String TYPE

See Also:
  - Constant Field Values

## Constructor Details

### FileUserManagerFactory

public FileUserManagerFactory()

## Method Details

### create

public FileUserManager create(String description)